[video-decoder.https.any.html]
  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Empty codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Unrecognized codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Audio codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Ambiguous codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Codec with MIME type]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Empty codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Unrecognized codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Audio codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Ambiguous codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Codec with MIME type]
    expected: FAIL

  [Test VideoDecoder construction]
    expected: FAIL


[video-decoder.https.any.worker.html]
  expected:
    if (os == "android") and fission: [OK, TIMEOUT]
  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Empty codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Unrecognized codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Audio codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Ambiguous codec]
    expected: FAIL

  [Test that VideoDecoder.isConfigSupported() rejects invalid config:Codec with MIME type]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Empty codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Unrecognized codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Audio codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Ambiguous codec]
    expected: FAIL

  [Test that VideoDecoder.configure() rejects invalid config:Codec with MIME type]
    expected: FAIL

  [Test VideoDecoder construction]
    expected: FAIL
